Summary: WindowMaker - a window manager for X11  
Name: WindowMaker
Version: 0.20.1
Release: 3
Copyright: GPL
Group: X11/Window Managers
Source0: ftp://windowmaker.org/pub/WindowMaker-%{PACKAGE_VERSION}.tar.gz
Source1: ftp://windowmaker.org/pub/WindowMaker-data.tar.gz
Source2: WindowMaker-asclock.tar.gz
Patch0: WindowMaker-0.19.2-ppo.patch
Patch1: WindowMaker-0.20.1-redhat.patch
Patch2: WindowMaker-0.19.3-wmclock.patch
Patch3: WindowMaker-0.20.1-focus.patch
BuildRoot: /var/tmp/WindowMaker-root
Requires: wmconfig

%description
WindowMaker is a window manager designed to emulate the look
and feel of part of the NEXTSTEP(tm) GUI. It's supposed to be fast,
relatively small, feature rich and easy to configure, with
a simple and elegant appearance borrowed from NEXTSTEP(tm).

%prep
%setup -q -a 1 -a 2
%patch0 -p1 -b .patch-po
%patch1 -p1 -b .redhat
%patch2 -p1 -b .wmclock
%patch3 -p1 -b .focus

tar xzf libPropList.tar.gz

%build
cd libPropList
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make
cd ..
CFLAGS="$RPM_OPT_FLAGS"
NLSDIR=/usr/share/locale
LINGUAS="cs de es fr gl it nl no pt ru se tr fi hr el"
GNUSTEP_LOCAL_ROOT='$(prefix)/X11R6/lib/GNUstep'
export CFLAGS NLSDIR LINGUAS GNUSTEP_LOCAL_ROOT
./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--enable-newstyle --enable-superfluous
make
make Makefile -C asclock
make -C asclock

%install
rm -rf $RPM_BUILD_ROOT
cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
make install 	prefix=$RPM_BUILD_ROOT/usr \
		exec_prefix=$RPM_BUILD_ROOT/usr/X11R6 \
		nlsdir=$RPM_BUILD_ROOT/usr/share/locale
		
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 WindowMaker-data/pixmaps/* $RPM_BUILD_ROOT/usr/share/pixmaps
for i in $(ls */README) ; do
    echo $i | sed -e "s|\(.*\)/\(.*\)|\2\.\1|" | xargs cp $i
done
make install DESTDIR=$RPM_BUILD_ROOT -C asclock
make install -C libPropList prefix=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/*
/usr/include/*
/usr/share/WindowMaker
/usr/share/locale/*/*/*
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README.*
/usr/share/pixmaps/*
/usr/share/WINGs
/usr/man/*/*
/usr/lib/*

%changelog
* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- fixed swicthing to other window managers problem
- updated to 0.20.1
- include all the .mo files, not just WindowMaker...
- added an older version of asclock as wmclock
- include libPropList.a in the %files

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- version 0.91.3

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- version 0.19.2
- don't require asclock as a separate package

* Wed Aug 12 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.17.5

* Tue Jul 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.17.2

* Thu Jul 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.16.1
- removed asclock (conflicts with AfterStep)

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.14.0

* Fri Jan 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.13.0
- added the include files and the development libraries

* Thu Nov 20 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc
